SELECT k1.nr, k1.key, k2.nr, k2.key, k3.nr, k3.key, k4.nr, k4.key, (
 SELECT count( * ) 
 FROM system_statistics_sensors AS s
 WHERE s.keynr = k4.nr
) AS c
FROM `system_statistics_keys` AS k1
LEFT JOIN `system_statistics_keys` AS k2 ON k1.nr = k2.keynr
LEFT JOIN `system_statistics_keys` AS k3 ON k2.nr = k3.keynr
LEFT JOIN `system_statistics_keys` AS k4 ON k3.nr = k4.keynr
WHERE k2.key = "Sensors"
ORDER BY `c` ASC 
LIMIT 0 , 1000
