<?

 /**********************************************************************************************
 * Filename: gather.php
 *
 * This file is part of the System statistics JAS plugin.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The System statistics JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/system_statistics/
 **********************************************************************************************/


 ini_set("display_errors", 0);

 if(preg_match("!^(.+)/([^/]+)$!", $argv[0], $tmp))
 {
  if(preg_match("!project!", $tmp[1]))
   $_path["root"]=$tmp[1]."/../../../../../";
  else
   $_path["root"]=$tmp[1]."/../../../";

  $app=$tmp[2];
 }
 else
 {
  $_path["root"]="../../../../../";
  $app=$argv[0];
 }

 require($_path["root"]."include.php");
 require_once($_path["include"]."data.php");
 require_once($_path["include"]."errors.php");
 require_once("ss.php");

 if(sizeof($argv)<2)
 {
  print "\nNo plugin config key given\n\n";
  print "Usage:\n";
  print $app." key1 key2 etc\n";
  print $app." --all\n";
  return 1;
 }

 $configs=Array();
 if($argv[1]=="--all")
 {
  $d=new Data("system_statistics_pluginConfigs", "view", "all");
  $d->get();

  while($d->next())
   $configs[]=$d->v["key"];
 }
 else
 {
  for($c=1;$c<sizeof($argv);$c++)
   $configs[]=$argv[$c];
 }


 $e=new Errors();

 $_config->su(true);
 foreach($configs as $config)
 {
  $ss=new SystemStatistics($config);

  if(!$ss->gather())
   $e->add($ss->e);
 }
 $_config->su();

 if($e->any())
 {
  print strip_tags($e->show());
  return 1;
 }

 return 0;
?>
